// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.operation;

import org.eclipse.core.commands.operations.AbstractOperation;
import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.junit.Before;

import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
import eu.etaxonomy.taxeditor.httpinvoker.RemotingSessionAwareTest;
import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
import eu.etaxonomy.taxeditor.operation.RemotingCdmUpdateOperation;
import eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled;
import eu.etaxonomy.taxeditor.test.MockConversationEnabled;

/**
 * @author n.hoffmann
 * @created 15.04.2009
 * @version 1.0
 */
public abstract class BaseOperationTest extends RemotingSessionAwareTest {

	public static final IUndoContext undoContext = null;

	public static final IProgressMonitor monitor = new NullProgressMonitor();
	public static final IAdaptable info = null;
	public static final IPostOperationEnabled postOperation = null;
	public static final IConversationEnabled conversationEnabled = new MockConversationEnabled();
	public static final ICdmEntitySessionEnabled cdmEntitySessionEnabled = null;

	protected static AbstractOperation operation;

	@Before
	public void initializeOperations() {
	    RemotingCdmUpdateOperation.throwExceptions = true;
	}

}
