// $Id$
/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.session;

import org.junit.Test;
import org.springframework.util.Assert;
import org.unitils.UnitilsJUnit4;

import eu.etaxonomy.cdm.api.application.CdmApplicationState;

/**
 * @author cmathew
 * @date 5 Oct 2015
 *
 */
public class CdmApplicationStateTest extends UnitilsJUnit4 {

    @Test
    public void testCdmlibManifestInfoUpdate() {
        CdmApplicationState.updateCdmlibManifestInfo();
        Assert.notNull(CdmApplicationState.getCdmlibVersion());
        Assert.notNull(CdmApplicationState.getCdmlibLastModified());
    }
}
